#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	python		# Python binding

Summary:	GLib wrapper library around the libgit2 git access library
Summary(pl.UTF-8):	Biblioteka obudowania GLib do biblioteki dostępu do gita libgit2
Name:		libgit2-glib
Version:	0.26.4
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgit2-glib/0.26/%{name}-%{version}.tar.xz
# Source0-md5:	042bbee8f440adacd0532c1e2f389d52
Patch0:		build.patch
URL:		https://wiki.gnome.org/Libgit2-glib
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gobject-introspection-devel >= 0.10.1
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.11}
BuildRequires:	libgit2-devel >= 0.26.0
BuildRequires:	meson
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.2.3
BuildRequires:	python3-pygobject3-devel >= 3.0.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	xz
Requires:	glib2 >= 1:2.44.0
Requires:	libgit2 >= 0.24.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgit2-glib is a glib wrapper library around the libgit2 git access
library.

libgit2 only implements the core plumbing functions, not really the
higher level porcelain stuff.

%description -l pl.UTF-8
libgit2-glib to biblioteka obudowania glib dla biblioteki dostępu do
gita libgit2.

libgit2 implementuje tylko niskopoziomowe funkcje, bez całej otoczki
wyższego poziomu.

%package devel
Summary:	Header files for libgit2-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgit2-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.44.0
Requires:	gobject-introspection-devel >= 0.10.1
Requires:	libgit2-devel >= 0.26.0

%description devel
Header files for libgit2-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgit2-glib.

%package apidocs
Summary:	libgit2-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgit2-glib
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libgit2-glib library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgit2-glib.

%package -n python3-libgit2-glib
Summary:	Python 3 binding for libgit2-glib library
Summary(pl.UTF-8):	Wiązanie Pythona 3 do biblioteki libgit2-glib
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-libs >= 1:3.2.3
Requires:	python3-pygobject3 >= 3.0.0

%description -n python3-libgit2-glib
Python 3 binding for libgit2-glib library.

%description -n python3-libgit2-glib -l pl.UTF-8
Wiązanie Pythona 3 do biblioteki libgit2-glib.

%package -n vala-libgit2-glib
Summary:	Vala API for libgit2-glib library
Summary(pl.UTF-8):	API języka Vala do biblioteki libgit2-glib
Group:		Development/Libraries
Requires:	libgit2-glib-devel = %{version}-%{release}
Requires:	vala
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-libgit2-glib
Vala API for libgit2-glib library.

%description -n vala-libgit2-glib -l pl.UTF-8
API języka Vala do biblioteki libgit2-glib.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	-Dssh=true \
	-Dpython=true \
	-Dgtk_doc=true

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%py3_comp $RPM_BUILD_ROOT
%py3_ocomp $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgit2-glib-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgit2-glib-1.0.so.0
%{_libdir}/girepository-1.0/Ggit-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgit2-glib-1.0.so
%{_includedir}/libgit2-glib-1.0
%{_datadir}/gir-1.0/Ggit-1.0.gir
%{_pkgconfigdir}/libgit2-glib-1.0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgit2-glib-1.0
%endif

%if %{with python}
%files -n python3-libgit2-glib
%defattr(644,root,root,755)
%{py3_sitedir}/gi/overrides/Ggit.py
%{py3_sitedir}/gi/overrides/__pycache__/Ggit.cpython-3*.py[co]
%endif

%files -n vala-libgit2-glib
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/ggit-1.0.deps
%{_datadir}/vala/vapi/ggit-1.0.vapi
%{_datadir}/vala/vapi/libgit2-glib-1.0.deps
%{_datadir}/vala/vapi/libgit2-glib-1.0.vapi
%changelog
* Thu Sep 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgit2-glib.git;a=log;h=master

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 315b97c
- rel 2; fix build with libgit2

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 64f73bb
- up to 0.26.4

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6463439
- release 2 (by relup.sh)

* Sun Jan 07 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 10e99f1
- Update to 0.26.2

* Sun Nov 26 2017 Jan Rękorajski <baggins@pld-linux.org> c87f0fe
- up to 0.26.0

* Fri Apr 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 0b8a096
- updated -devel dependency on libgit2

* Tue Mar 28 2017 Jan Rękorajski <baggins@pld-linux.org> 539198c
- up to 0.25.0

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d80827
- python 3.6
- release 2 (by relup.sh)

* Fri Dec 09 2016 Jakub Bogusz <qboosh@pld-linux.org> a763898
- updated to 0.24.4

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 02050c3
- noarch apidocs

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 03760be
- noarch vala subpackage

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> bc5b514
- updated to 0.24.0

* Mon Feb 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 1b2f7b7
- updated to 0.23.10

* Sun Dec 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 7725311
- updated to 0.23.8

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 21e18d9
- release 2 (by relup.sh)

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 99cdd12
- updated to 0.23.6

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> be84340
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> bc8732f
- updated to 0.22.8

* Tue Mar 03 2015 Jakub Bogusz <qboosh@pld-linux.org> a0f5721
- updated to 0.22.0

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> a91b3cb
- libffi rebuild
- release 2 (by relup.sh)

